<?php

namespace Scraper\ScraperColisPrive\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetDeliveryCalendarReturn StructType
 * @subpackage Structs
 */
class GetDeliveryCalendarReturn extends AbstractStructBase
{
    /**
     * The WSResp
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \Scraper\ScraperColisPrive\StructType\ResponseObject
     */
    public $WSResp;
    /**
     * The DlvrCalendar
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Scraper\ScraperColisPrive\StructType\DeliveryDateObject[]
     */
    public $DlvrCalendar;
    /**
     * Constructor method for GetDeliveryCalendarReturn
     * @uses GetDeliveryCalendarReturn::setWSResp()
     * @uses GetDeliveryCalendarReturn::setDlvrCalendar()
     * @param \Scraper\ScraperColisPrive\StructType\ResponseObject $wSResp
     * @param \Scraper\ScraperColisPrive\StructType\DeliveryDateObject[] $dlvrCalendar
     */
    public function __construct(\Scraper\ScraperColisPrive\StructType\ResponseObject $wSResp = null, array $dlvrCalendar = array())
    {
        $this
            ->setWSResp($wSResp)
            ->setDlvrCalendar($dlvrCalendar);
    }
    /**
     * Get WSResp value
     * @return \Scraper\ScraperColisPrive\StructType\ResponseObject|null
     */
    public function getWSResp()
    {
        return $this->WSResp;
    }
    /**
     * Set WSResp value
     * @param \Scraper\ScraperColisPrive\StructType\ResponseObject $wSResp
     * @return \Scraper\ScraperColisPrive\StructType\GetDeliveryCalendarReturn
     */
    public function setWSResp(\Scraper\ScraperColisPrive\StructType\ResponseObject $wSResp = null)
    {
        $this->WSResp = $wSResp;
        return $this;
    }
    /**
     * Get DlvrCalendar value
     * @return \Scraper\ScraperColisPrive\StructType\DeliveryDateObject[]|null
     */
    public function getDlvrCalendar()
    {
        return $this->DlvrCalendar;
    }
    /**
     * This method is responsible for validating the values passed to the setDlvrCalendar method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDlvrCalendar method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDlvrCalendarForArrayConstraintsFromSetDlvrCalendar(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $getDeliveryCalendarReturnDlvrCalendarItem) {
            // validation for constraint: itemType
            if (!$getDeliveryCalendarReturnDlvrCalendarItem instanceof \Scraper\ScraperColisPrive\StructType\DeliveryDateObject) {
                $invalidValues[] = is_object($getDeliveryCalendarReturnDlvrCalendarItem) ? get_class($getDeliveryCalendarReturnDlvrCalendarItem) : sprintf('%s(%s)', gettype($getDeliveryCalendarReturnDlvrCalendarItem), var_export($getDeliveryCalendarReturnDlvrCalendarItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DlvrCalendar property can only contain items of type \Scraper\ScraperColisPrive\StructType\DeliveryDateObject, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DlvrCalendar value
     * @throws \InvalidArgumentException
     * @param \Scraper\ScraperColisPrive\StructType\DeliveryDateObject[] $dlvrCalendar
     * @return \Scraper\ScraperColisPrive\StructType\GetDeliveryCalendarReturn
     */
    public function setDlvrCalendar(array $dlvrCalendar = array())
    {
        // validation for constraint: array
        if ('' !== ($dlvrCalendarArrayErrorMessage = self::validateDlvrCalendarForArrayConstraintsFromSetDlvrCalendar($dlvrCalendar))) {
            throw new \InvalidArgumentException($dlvrCalendarArrayErrorMessage, __LINE__);
        }
        $this->DlvrCalendar = $dlvrCalendar;
        return $this;
    }
    /**
     * Add item to DlvrCalendar value
     * @throws \InvalidArgumentException
     * @param \Scraper\ScraperColisPrive\StructType\DeliveryDateObject $item
     * @return \Scraper\ScraperColisPrive\StructType\GetDeliveryCalendarReturn
     */
    public function addToDlvrCalendar(\Scraper\ScraperColisPrive\StructType\DeliveryDateObject $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Scraper\ScraperColisPrive\StructType\DeliveryDateObject) {
            throw new \InvalidArgumentException(sprintf('The DlvrCalendar property can only contain items of type \Scraper\ScraperColisPrive\StructType\DeliveryDateObject, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DlvrCalendar[] = $item;
        return $this;
    }
}
